Skip to main content
PATCH
/
tenants
/
{id}
cURL
curl --request PATCH \
  --url https://api.example.com/tenants/{id} \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "e305e9a4-585e-49b8-bc88-9fba992c6326",
  "plan": "ENTERPRISE",
  "brandName": "Mega Loja 123",
  "updatedAt": "2024-02-15T10:00:00.000Z"
}

Path

id
string
required
UUID isolado do Tenant.

Body

brandName
string
Nome fantasia / marca.
plan
string
Novo tier comercial (ex: mudar para ENTERPRISE).
logoUrl
string
Nova URL para logotipo estática.

Response

{
  "id": "e305e9a4-585e-49b8-bc88-9fba992c6326",
  "plan": "ENTERPRISE",
  "brandName": "Mega Loja 123",
  "updatedAt": "2024-02-15T10:00:00.000Z"
}

Path Parameters

id
string
required

Body

application/json

The body is of type object.

Response

200 - undefined